Imports UTS_Core.UTSModule.Test
Imports UTS_Core.UTSModule.Test.StatusMonitor

Namespace UTSModule
    Public Interface IUtsTest

        Sub TestStart(sender As Object, e As EventArgs)

        Sub TestPass(sender As Object, e As EventArgs)

        Sub TestFail(sender As Object, e As TestFailEventArgs)

        Sub TestPause(sender As Object, e As TestPauseEventArgs)

        Sub TestEnd(sender As Object, e As TestEndEventArgs)



        Sub TestNodeChanged(sender As Object, e As TestNodeChangedEventArgs)

        Sub TestNodeCompleted(sender As Object, e As TestNodeCompletedEventArgs)

        Sub TestNodeResultChanged(sender As Object, e As TestNodeResultChangedEventArgs)

        Sub TestCountChanged(sender As Object, e As TestCountChangedEventArgs)

        Sub TestStatusChanged(sender As Object, e As TestStatusChangedEventArgs)

        Sub TestTimeChanged(sender As Object, e As TestTimeEventArgs)

        Sub TestProgressChanged(sender As Object, e As TestProgressChangedEventArgs)

        Sub RetryProgressChanged(sender As Object, e As TestProgressChangedEventArgs)
    End Interface
End Namespace